Bug 1295260 - Review Request: php-mnapoli-phpunit-easymock - Helpers to build PHPUnit mocks
Summary: Review Request: php-mnapoli-phpunit-easymock - Helpers to build PHPUnit mocks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: php-di
TreeView+ depends on / blocked
 
Reported: 2016-01-04 02:03 UTC by Shawn Iwinski
Modified: 2016-08-14 16:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-20 21:56:23 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (3.87 KB, text/plain)
2016-01-04 08:18 UTC, Remi Collet
no flags Details
review.txt (7.04 KB, text/plain)
2016-01-04 08:18 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2016-01-04 02:03:07 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/d5ec0ad336c6951a258a108bdd4c1c82515b829e/php-mnapoli-phpunit-easymock/php-mnapoli-phpunit-easymock.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-mnapoli-phpunit-easymock-0.2.0-1.fc23.src.rpm

Description:
Helpers to build PHPUnit mocks.

Autoloader: /usr/share/php/EasyMock/autoload.php


Fedora Account System Username: siwinski

Comment 1 Upstream Release Monitoring 2016-01-04 08:03:54 UTC
remi's scratch build of php-mnapoli-phpunit-easymock-0.2.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12399967

Comment 2 Remi Collet 2016-01-04 08:11:31 UTC
Dependencies:
   php-composer(phpunit/phpunit-mock-objects) >= 2.0
   php-composer(phpunit/phpunit-mock-objects) < 3.0

This will be a major issue soon (as I plan to update PHPUnit to 5.1.x soon)

So: https://github.com/mnapoli/phpunit-easymock/issues/3

Comment 3 Remi Collet 2016-01-04 08:18:08 UTC
Created attachment 1111392 [details]
phpci.log

phpCompatInfo version 5.0.0 DB built Dec 29 2015 09:34:25 CET static analyze results

Comment 4 Remi Collet 2016-01-04 08:18:44 UTC
Created attachment 1111393 [details]
review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1295260

Comment 5 Remi Collet 2016-01-04 08:20:40 UTC
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php(php-common)

Trivial fix:

-%dir %{phpdir}/
-     %{phpdir}/
+%{phpdir}/EasyMock


Would be nice if you can test (using php-di build) against PHPUnit 5 and thus drop max version.

Comment 7 Remi Collet 2016-01-04 17:17:23 UTC
 +- Fixed directory ownsership in %%files 

Typo ! ;)

[x]: Package does not own files or directories owned by other packages.


=== APPROVED ===

Comment 8 Shawn Iwinski 2016-01-04 17:25:41 UTC
(In reply to Remi Collet from comment #7)
>  +- Fixed directory ownsership in %%files 
> 
> Typo ! ;)

Darnit!  LOL.  I'll fix after initial import.

THANKS for the review, pointing out the typo, and the upstream "fix".

Comment 9 Gwyn Ciesla 2016-01-04 20:45:16 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-mnapoli-phpunit-easymock

Comment 10 Fedora Update System 2016-01-07 20:02:52 UTC
php-di-symfony2-bridge-1.1.0-1.el7 php-di-5.2.0-1.el7 php-di-invoker-1.2.0-1.el7 php-mnapoli-phpunit-easymock-0.2.1-1.el7 php-di-phpdoc-reader-2.0.1-1.el7 php-container-interop-1.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cc24c1200

Comment 11 Fedora Update System 2016-01-07 20:02:56 UTC
php-di-symfony2-bridge-1.1.0-1.fc22 php-di-5.2.0-1.fc22 php-di-invoker-1.2.0-1.fc22 php-mnapoli-phpunit-easymock-0.2.1-1.fc22 php-di-phpdoc-reader-2.0.1-1.fc22 php-container-interop-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d61abd66d

Comment 12 Fedora Update System 2016-01-07 20:03:33 UTC
php-di-symfony2-bridge-1.1.0-1.fc23 php-di-5.2.0-1.fc23 php-di-invoker-1.2.0-1.fc23 php-mnapoli-phpunit-easymock-0.2.1-1.fc23 php-di-phpdoc-reader-2.0.1-1.fc23 php-container-interop-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-24c3e6b59c

Comment 13 Fedora Update System 2016-01-07 20:03:36 UTC
php-container-interop-1.1.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-63cd5fa5f4

Comment 14 Fedora Update System 2016-01-08 21:23:54 UTC
php-container-interop-1.1.0-1.el7, php-di-5.2.0-1.el7, php-di-invoker-1.2.0-1.el7, php-di-phpdoc-reader-2.0.1-1.el7, php-di-symfony2-bridge-1.1.0-1.el7, php-mnapoli-phpunit-easymock-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cc24c1200

Comment 15 Fedora Update System 2016-01-09 04:25:23 UTC
php-container-interop-1.1.0-1.fc22, php-di-5.2.0-1.fc22, php-di-invoker-1.2.0-1.fc22, php-di-phpdoc-reader-2.0.1-1.fc22, php-di-symfony2-bridge-1.1.0-1.fc22, php-mnapoli-phpunit-easymock-0.2.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d61abd66d

Comment 16 Fedora Update System 2016-01-09 04:27:48 UTC
php-container-interop-1.1.0-1.fc23, php-di-5.2.0-1.fc23, php-di-invoker-1.2.0-1.fc23, php-di-phpdoc-reader-2.0.1-1.fc23, php-di-symfony2-bridge-1.1.0-1.fc23, php-mnapoli-phpunit-easymock-0.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-24c3e6b59c

Comment 17 Fedora Update System 2016-01-20 21:56:08 UTC
php-container-interop-1.1.0-1.fc23, php-di-5.2.0-1.fc23, php-di-invoker-1.2.0-1.fc23, php-di-phpdoc-reader-2.0.1-1.fc23, php-di-symfony2-bridge-1.1.0-1.fc23, php-mnapoli-phpunit-easymock-0.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-01-21 04:48:55 UTC
php-container-interop-1.1.0-1.fc22, php-di-5.2.0-1.fc22, php-di-invoker-1.2.0-1.fc22, php-di-phpdoc-reader-2.0.1-1.fc22, php-di-symfony2-bridge-1.1.0-1.fc22, php-mnapoli-phpunit-easymock-0.2.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-01-25 01:30:04 UTC
php-container-interop-1.1.0-1.el7, php-di-5.2.0-1.el7, php-di-invoker-1.2.0-1.el7, php-di-phpdoc-reader-2.0.1-1.el7, php-di-symfony2-bridge-1.1.0-1.el7, php-mnapoli-phpunit-easymock-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.